- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# ImgPageIterator Class Reference

This reference page is linked to from the following overview topics: Images.

Search for all occurrences

## Detailed Description

Iterates over a specified region of an image in optimal order.

It does not lock the region of the image or otherwise cause it to be present in CPU memory -- for that, use ImgLockPageIterator... Note that the regions returned are the tiles, stripes or pages that intersect the requested region -- they may encompass a larger area than you request, or even the entire image.

Definition at line 1198 of file image.h.

`#include <image.h>`

Inheritance diagram for ImgPageIterator:
[legend]

List of all members.

## Public Member Functions
| ImgPageIterator (Image *img, const ImgTile *srcTile=0, bool writing=false)
| Create an iterator to cover the specified region of the image.
virtual | ~ImgPageIterator ()
virtual bool | next ()
void * | dataPtr ()
## Protected Attributes
void * | m_BlindData
Image * | m_Image
int | m_Type
void * | m_PixelData
ImgTile | m_SrcTile

## Constructor & Destructor Documentation

ImgPageIterator | ( | Image * | img,
|  | const ImgTile * | srcTile = `0`,
|  | bool | writing = `false`
| ) |  |

Create an iterator to cover the specified region of the image.

Parameters:

  img | A pointer to the image that you are iterating over
  srcTile | A const pointer to the region of the image to be iterated over -- NULL means the bounds of the image

virtual ~ImgPageIterator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool next | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in ImgLockPageIterator.

void* dataPtr | ( |  | ) | `[inline]`

Search for all occurrences

Reimplemented in ImgLockPageIterator.

Definition at line 1219 of file image.h.

    { return m_PixelData; }

## Member Data Documentation

void* m_BlindData `[protected]`

Search for all occurrences

Definition at line 1200 of file image.h.

Image* m_Image `[protected]`

Search for all occurrences

Definition at line 1201 of file image.h.

int m_Type `[protected]`

Search for all occurrences

Definition at line 1202 of file image.h.

void* m_PixelData `[protected]`

Search for all occurrences

Definition at line 1203 of file image.h.

ImgTile m_SrcTile `[protected]`

Search for all occurrences

Definition at line 1204 of file image.h.

The documentation for this class was generated from the following file:

- Mudbox/image.h

ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator
ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator ImgPageIterator